data {
    int N;
    int<lower = 0, upper = 1> Rs[N];
    real As[N];
}
parameters {
    real a;
    real b;
}
transformed parameters {
    real <lower = 0.0, upper = 1.0> Pd[N];
    real<lower = 0.0, upper = 1.0> Pc[N];  //  Probability of correct response
    for (i in 1:N) {
        Pd[i] = inv_logit(a + b * As[i]);  //  Logistic regression model
        Pc[i] = Pd[i] + (1.0 - Pd[i]) * (1.0/3.0);
    }
}
model {
    a ~ normal(0.0, 10.0);    //   weakly informative priot
    b ~ normal(0.0, 10.0);    //   weakly informative priot 
    Rs ~ bernoulli(Pc);
}
